<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink">
<xsl:output method="xml" version="1.0" indent="yes"/>


<xsl:template name="Xlink"  match="record">

<!-- ========================================================================-->
<!-- Inserting a processing-instruction to the result tree-->                                          
<!-- ========================================================================--> 
		<xsl:processing-instruction name="xml-stylesheet">
			<xsl:text>type="text/xsl" href="toHTML.xsl"</xsl:text>
		</xsl:processing-instruction>	

		
	<record>
	<xsl:variable name="home">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@id"/></xsl:variable>
	<xsl:variable name="parentTitle"><xsl:value-of select="datafield/subfield[@type='Navn' and @code='a']"/></xsl:variable>			
		
		<extendedlink xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="{$home}" xlink:type="extended" xlink:title="{$parentTitle}">	
		
<!-- ============================Korporasjon og personer========================-->
<!-- ========================================================================-->
<!-- Get all relationships with relations "er skaper av"-->                                          
<!-- ========================================================================--> 

					<xsl:if test="relationship[@rel='er skaper av']">
					<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent" xlink:title="Er skaper av:" xlink:role="er skaper av"/>
						
							<xsl:for-each select="relationship">
							
								<xsl:if test="@rel='er skaper av'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[@code='a' or 't' and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>			
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>
									<xsl:variable name="Rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$Rel}"/>
								</xsl:if>	
							</xsl:for-each>
								<go xlink:type="arc" xlink:title="er skaper av" xlink:from="Parent" xlink:to="Child"/>
							</xsl:if>

<!-- ======================================================================== -->
<!-- Get all relationships with relation "har realisert"-->                                          
<!-- ======================================================================== -->

					<xsl:if test="relationship[@rel='har realisert']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent1" xlink:title="Har realisert:" xlink:role="har realisert"/>
							<xsl:for-each select="relationship">
								<xsl:if test="@rel='har realisert'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title"><xsl:value-of select="document($href)//record/key"/></xsl:variable>			
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>									
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child1" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						<go xlink:type="arc" xlink:title="har realisert" xlink:from="Parent1" xlink:to="Child1"/>
					</xsl:if>
					
<!-- ========================================================================-->
<!-- Get all relationships with relation "Er emne"-->                                          
<!--======================================================================== -->

					<xsl:if test="relationship[@rel='er emne']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent2" xlink:title="Er emne:" xlink:role="er emne"/>
							<xsl:for-each select="relationship">
								<xsl:if test="@rel='er emne'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[@code='a' or 't' and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>				
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>									
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child2" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						<go xlink:type="arc" xlink:title="er emne" xlink:from="Parent2" xlink:to="Child2"/>
					</xsl:if>

<!--================================Verk=====================================-->						
<!-- ========================================================================-->
<!-- Get all relationships with relation "Er emne for"-->                                          
<!--======================================================================== -->

					<xsl:if test="relationship[@rel='er emne for']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent3" xlink:title="Er emne for:" xlink:role="er emne for"/>
							<xsl:for-each select="relationship">
								<xsl:if test="@rel='er emne for'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[@code='a' or 't' and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>			
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>									
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child3" xlink:title="{$Title}"  xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						<go xlink:type="arc" xlink:title="er emne for" xlink:from="Parent3" xlink:to="Child3"/>
					</xsl:if>

<!-- ========================================================================-->
<!-- Get all relationships with relation "Er realisert ved"-->                                          
<!--======================================================================== -->

						<xsl:if test="relationship[@rel='er realisert ved']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent4" xlink:title="Er realisert ved:" xlink:role="er realisert ved"/>
							<xsl:for-each select="relationship">
													
								<xsl:if test="@rel='er realisert ved'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[@code='a' or 't' and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child4" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						
						<go xlink:type="arc" xlink:title="er realisert ved" xlink:from="Parent4" xlink:to="Child4"/>
					</xsl:if>	
			
<!-- ========================================================================-->
<!-- Get all relationships with relation "er skapt av"-->                                          
<!--======================================================================== -->

						<xsl:if test="relationship[@rel='er skapt av']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent5" xlink:title="Er skapt av:" xlink:role="er skapt av"/>
							<xsl:for-each select="relationship">
													
								<xsl:if test="@rel='er skapt av'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[@code='a' or 't' and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>				
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child5" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						
						<go xlink:type="arc" xlink:title="er skapt av" xlink:from="Parent5" xlink:to="Child5"/>
					</xsl:if>	
					
<!-- ========================================================================-->
<!-- Get all relationships with relation "har del"-->                                          
<!--======================================================================== -->

						<xsl:if test="relationship[@rel='har del']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent6" xlink:title="Har del:" xlink:role="har del"/>
							<xsl:for-each select="relationship">
													
								<xsl:if test="@rel='har del'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>				
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[(@code='a' or @code='t') and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>
										<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child6" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						
						<go xlink:type="arc" xlink:title="inneholder" xlink:from="Parent6" xlink:to="Child6"/>
					</xsl:if>				
					
<!-- ========================================================================-->
<!-- Get all relationships with relation "er del av"-->                                          
<!--======================================================================== -->

						<xsl:if test="relationship[@rel='er del av']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent7" xlink:title="Er del av:" xlink:role="er del av"/>
							<xsl:for-each select="relationship">
													
								<xsl:if test="@rel='er del av'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[(@code='a' or @code='t') and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>									
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>				
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child7" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						
						<go xlink:type="arc" xlink:title="er del av" xlink:from="Parent7" xlink:to="Child7"/>
					</xsl:if>				

<!-- ========================================================================-->
<!-- Get all relationships with relation "har emne"-->                                          
<!--======================================================================== -->

						<xsl:if test="relationship[@rel='har emne']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent8" xlink:title="Har emne:" xlink:role="har emne"/>
							<xsl:for-each select="relationship">
													
								<xsl:if test="@rel='har emne'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[(@code='a' or @code='t')  and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>				
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child8" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						
						<go xlink:type="arc" xlink:title="har emne" xlink:from="Parent8" xlink:to="Child8"/>
					</xsl:if>				

<!--=================================Uttrykk==================================-->
<!-- ========================================================================-->
<!-- Get all relationships with relation "er innhold i"-->                                          
<!--======================================================================== -->
	
					<xsl:if test="relationship[@rel='er innhold i']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent9" xlink:title="Er innhold i:" xlink:role="er innhold i"/>
							<xsl:for-each select="relationship">
								<xsl:if test="@rel='er innhold i'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[(@code='a' or @code='t') and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>									
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>													
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child9" xlink:title="{$Title}" xlink:content-role="{$Type}"  xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						<go xlink:type="arc" xlink:title="er innhold i" xlink:from="Parent9" xlink:to="Child9"/>
					</xsl:if>
				
<!-- ========================================================================-->
<!-- Get all relationships with relation "er realisering av"-->                                          
<!--======================================================================== -->

						<xsl:if test="relationship[@rel='er realisering av']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent10" xlink:title="Er realisering av:" xlink:role="er realisering av"/>
							<xsl:for-each select="relationship">
													
								<xsl:if test="@rel='er realisering av'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[(@code='a' or @code='t') and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>									
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>				
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child4" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						
						<go xlink:type="arc" xlink:title="er realisering av" xlink:from="Parent10" xlink:to="Child10"/>
					</xsl:if>
					
<!-- ========================================================================-->
<!-- Get all relationships with relation "er realisert av"-->                                          
<!--======================================================================== -->

						<xsl:if test="relationship[@rel='er realisert av']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent11" xlink:title="Er realisert av:" xlink:role="er realisert av"/>
							<xsl:for-each select="relationship">
													
								<xsl:if test="@rel='er realisert av'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[@code='a' or 't' and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>									
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>				
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child11" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						
						<go xlink:type="arc" xlink:title="er realisert av" xlink:from="Parent11" xlink:to="Child11"/>
					</xsl:if>

<!--==============================Manifestasjoner==============================-->	
<!-- ========================================================================-->
<!-- Get all relationships with relation "Inneholder"-->                                          
<!--======================================================================== -->

						<xsl:if test="relationship[@rel='inneholder']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent12" xlink:title="Inneholder:" xlink:role="inneholder"/>
							<xsl:for-each select="relationship">
													
								<xsl:if test="@rel='inneholder'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title">
										<xsl:value-of select="document($href)//record/datafield/subfield[@code='a' or 't' and @type='Tittel']"/>
										<xsl:text>: </xsl:text><xsl:value-of select="document($href)//record/datafield/subfield[@code='b' and @type='Tittel']"/>
									</xsl:variable>									
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>				
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child12" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						
						<go xlink:type="arc" xlink:title="inneholder" xlink:from="Parent12" xlink:to="Child12"/>
					</xsl:if>		
					
			

<!-- ========================================================================-->
<!-- Get all relationships with relation "har del av"-->                                          
<!--======================================================================== -->
						
						<xsl:if test="relationship[@rel='har del av']">		
							<relationship xlink:type="locator" xlink:href="{$home}" xlink:label="Parent13" xlink:title="Har del av:" xlink:role="har del av"/>
							<xsl:for-each select="relationship">
													
								<xsl:if test="@rel='har del av'">
									<xsl:variable name="href">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
									<xsl:variable name="Title"><xsl:value-of select="document($href)//record/key"/></xsl:variable>
									<xsl:variable name="Type"><xsl:value-of select="@target"/></xsl:variable>				
									<xsl:variable name="rel"><xsl:value-of select="@rel"/></xsl:variable>
									
									<relationship xlink:type="locator" xlink:href="{$href}" xlink:label="Child13" xlink:title="{$Title}" xlink:content-role="{$Type}" xlink:role="{$rel}"/>
								</xsl:if>	
						</xsl:for-each>
						
						<go xlink:type="arc" xlink:title="har del av" xlink:from="Parent13" xlink:to="Child13"/>
					</xsl:if>				
					
				</extendedlink>
			
		</record>


	</xsl:template>
 
 

</xsl:stylesheet>
