<?xml version="1.0" encoding="UTF-8"?>
 <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" /> 
 <!--  Templates for converting 008 codes into text 
  --> 
<!--  Updated 2005-09-06 by Ole Husby, BIBSYS 
  --> 
 <xsl:template name="medium">
 <xsl:choose>
  <xsl:when test=".='p'">Trykt</xsl:when> 
  <xsl:when test=".='n'">Nettdokument</xsl:when> 
  <xsl:when test=".='v'">CD</xsl:when> 
  <xsl:when test=".='w'">DVD</xsl:when> 
  <xsl:when test=".='u'">Magnetbånd</xsl:when> 
  <xsl:when test=".='x'">Manuskript</xsl:when> 
  <xsl:when test=".='a'">Mikroform</xsl:when> 
  <xsl:when test=".='t'">Grammofonplate</xsl:when> 
  <xsl:when test=".='h'">Filmrull</xsl:when> 
  <xsl:when test=".='s'">Diskett</xsl:when> 
  <xsl:when test=".='o'">Grafisk materiale (gjennomlysbart)</xsl:when> 
  <xsl:when test=".='i'">Grafisk materiale</xsl:when> 
  <xsl:when test=".='y'">Tredimensjonal gjenstand</xsl:when> 
  <xsl:when test=".='z'">Braille</xsl:when> 
  <xsl:when test=".='æ'">Kombidokument</xsl:when> 
  <xsl:when test=".='å'">Laserplate</xsl:when> 
 <xsl:otherwise>
  <xsl:value-of select="." /> 
  </xsl:otherwise>
  </xsl:choose>
  </xsl:template>
 <xsl:template name="language">
 <xsl:choose>
  <xsl:when test=".='dan'">Dansk</xsl:when> 
  <xsl:when test=".='nor'">Norsk</xsl:when> 
  <xsl:when test=".='nob'">Norsk (bokmål)</xsl:when> 
  <xsl:when test=".='nno'">Norsk (nynorsk)</xsl:when> 
  <xsl:when test=".='sme'">Nordsamisk</xsl:when> 
  <xsl:when test=".='sma'">Sørsamisk</xsl:when> 
  <xsl:when test=".='dan'">Dansk</xsl:when> 
  <xsl:when test=".='swe'">Svensk</xsl:when> 
  <xsl:when test=".='fin'">Finsk</xsl:when> 
  <xsl:when test=".='fao'">Færøyisk</xsl:when> 
  <xsl:when test=".='ice'">Islandsk</xsl:when> 
  <xsl:when test=".='eng'">Engelsk</xsl:when> 
  <xsl:when test=".='ger'">Tysk</xsl:when> 
  <xsl:when test=".='fre'">Fransk</xsl:when> 
  <xsl:when test=".='spa'">Spansk</xsl:when> 
  <xsl:when test=".='ita'">Italiensk</xsl:when> 
  <xsl:when test=".='rus'">Russisk</xsl:when> 
  <xsl:when test=".='pol'">Polsk</xsl:when> 
  <xsl:when test=".='urd'">Urdu</xsl:when> 
  <xsl:when test=".='dut'">Nederlandsk</xsl:when> 
  <xsl:when test=".='cze'">Tsjekkisk</xsl:when> 
 <xsl:otherwise>
  <xsl:value-of select="." /> 
  </xsl:otherwise>
  </xsl:choose>
  </xsl:template>
 <xsl:template name="form">
 <xsl:choose>
  <xsl:when test=".='v'">Monografi</xsl:when> 
  <xsl:when test=".='æ'">Fragment</xsl:when> 
  <xsl:when test=".='a'">Avis</xsl:when> 
  <xsl:when test=".='p'">Bibliografisk database</xsl:when> 
  <xsl:when test=".='q'">Fulltekstdatabase</xsl:when> 
  <xsl:when test=".='r'">Database</xsl:when> 
  <xsl:when test=".='w'">Serie</xsl:when> 
  <xsl:when test=".='x'">Tidsskrift</xsl:when> 
  <xsl:when test=".='y'">Årbok</xsl:when> 
  <xsl:when test=".='z'">Løpende ressurs</xsl:when> 
  <xsl:when test=".='n'">Innspilt musikk</xsl:when> 
  <xsl:when test=".='l'">Lydbok</xsl:when> 
  <xsl:when test=".='ø'">Lydopptak</xsl:when> 
  <xsl:when test=".='j'">Levende bilde</xsl:when> 
  <xsl:when test=".='m'">Musikalie</xsl:when> 
  <xsl:when test=".='e'">Yilleggsfunksjonalitet</xsl:when> 
  <xsl:when test=".='d'">Dissertas</xsl:when> 
  <xsl:when test=".='h'">Hovedfagsoppgave</xsl:when> 
  <xsl:when test=".='b'">Bibliografi</xsl:when> 
  <xsl:when test=".='c'">Kongress</xsl:when> 
  <xsl:when test=".='u'">Statistikk</xsl:when> 
  <xsl:when test=".='i'">Biografi</xsl:when> 
  <xsl:when test=".='k'">Kart, atlas</xsl:when> 
  <xsl:when test=".='o'">Billedmateriale</xsl:when> 
  <xsl:when test=".='f'">Festskrift</xsl:when> 
  <xsl:when test=".='g'">Festskrift</xsl:when> 
 <xsl:otherwise>
  <xsl:value-of select="." /> 
  </xsl:otherwise>
  </xsl:choose>
  </xsl:template>
  </xsl:stylesheet>