<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink">
	<xsl:output method="html"/>
	<!-- FRBR entity presentation utility templates -->
	<!-- Updated 2005-10-19 by Ole Husby, BIBSYS -->

<!-- ======================================================================== -->
<!-- htmlHeader: Create an HTML HEAD ekement w CSS stylesheet                 -->
<!-- ======================================================================== -->

<xsl:template name="htmlHeader">
	<head>
	<title>FRBR entity</title>
			<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
			<script type="text/javascript" src="http://www.idi.ntnu.no/~ballo/BIBSYS/stylesheet/drop_down.js"></script>
			<style type="text/css">@import "http://www.idi.ntnu.no/~ballo/BIBSYS/stylesheet/style.css";</style>
			<script type="text/javascript" src="http://www.idi.ntnu.no/~ballo/BIBSYS/stylesheet/tooltip.js"></script>
	
	<style type="text/css">
  		.small { font-size: 8pt }
  		.button { font-size: 8pt ; font-weight: bold; color: white ; background: #669966 }
  		.xml { font-size: 8pt ; font-weight: bold; color: white ; background: #d87e26 }
  		.beige { font-size:11pt ; font-weight: bold; background: #efd2a8 }
  		.yellow { font-size: 9pt ; background: #f4eed5 }
  		.invisible { font-size: 9pt ; color: white }
  		.link	{ font-size: 9pt; color: #b85e10; text-decoration: underline }
     	.grey { font-size: 8pt ; color: #999999 }
  	</style>
	<script type="text/javascript">
	function popup(uri)
	{
		pwin=window.open(uri, "pwindow", "menubar=no,scrollbars=yes,width=600,height=600");
		pwin.focus();
	}
	</script>     		
	</head>
</xsl:template>

<!-- ======================================================================== -->
<!-- title: Locate and display the title                                      -->
<!-- ======================================================================== -->

	<xsl:template name="title">
		<xsl:param name="subTitle"/>
		
		<xsl:call-template name="getOneTitle">
			<xsl:with-param name="subTitle"><xsl:value-of select="$subTitle"/></xsl:with-param>
		</xsl:call-template>
						
	</xsl:template>
	
	
	
<!-- ======================================================================== -->
<!-- getTitle: Retrieve the title from another entity record                  -->
<!-- ======================================================================== -->

	<xsl:template name="getTitle">
		
		<xsl:variable name="URI">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
		<xsl:variable name="parent" select="document($URI)/record"/>

		<xsl:variable name="title">
		<xsl:for-each select="$parent">

			<xsl:call-template name="getOneTitle">
				<xsl:with-param name="subTitle" select="no"/>
			</xsl:call-template>

		</xsl:for-each>
		</xsl:variable>
		
		<a>
		<xsl:attribute name="href">
		<xsl:value-of select="$URI"/>
		</xsl:attribute>
		<xsl:choose>
			<xsl:when test="$title">
			<b><xsl:value-of select="$title"/></b>
			</xsl:when>
			<xsl:otherwise>
			<b>[Tittel mangler]</b>
			</xsl:otherwise>
		</xsl:choose>
		</a>
		
	</xsl:template>
	

<!-- ======================================================================== -->
<!-- getOneTitle: Retrieve one title                                          -->
<!-- ======================================================================== -->

	<xsl:template name="getOneTitle">
		<xsl:param name="subTitle"/>
		<xsl:choose>
			<xsl:when test="datafield/subfield[@type='Tittel' and @code='a']">
				<xsl:choose>
					<xsl:when test="datafield[@tag='245']/subfield[@type='Tittel' and @code='a']">
						<xsl:for-each select="datafield[@tag='245'][1]/subfield[@type='Tittel' and @code='a']">
							<xsl:call-template name="titleSubfields">
							<xsl:with-param name="subTitle"><xsl:value-of select="$subTitle"/></xsl:with-param>
							</xsl:call-template>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>
						<xsl:for-each select="datafield[1]/subfield[@type='Tittel' and @code='a']">
							<xsl:call-template name="titleSubfields">
							<xsl:with-param name="subTitle"><xsl:value-of select="$subTitle"/></xsl:with-param>
							</xsl:call-template>
						</xsl:for-each>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="datafield/subfield[@type='Tittel' and @code='t']">
				<xsl:for-each select="datafield[1]/subfield[@type='Tittel' and @code='t']">
					<xsl:for-each select="../subfield[@code='t']">
						<xsl:value-of select="."/>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:when>
			<xsl:when test="datafield[@tag='245']/subfield[@type='Tittel' and @code='n']">
				<xsl:for-each select="datafield[@tag='245'][1]/subfield[@type='Tittel' and @code='n']">
					<xsl:for-each select="../subfield[@code='n']">
						<xsl:value-of select="."/>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>[Tittel mangler]</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
<!-- ======================================================================== -->
<!-- titleSubfields: Locate and display the title subfields                   -->
<!-- ======================================================================== -->

	<xsl:template name="titleSubfields">
		<xsl:param name="subTitle"/>
		<xsl:for-each select="../subfield[@code='a']">
			<xsl:value-of select="."/>
		</xsl:for-each>
		<xsl:if test="$subTitle='yes'">
			<xsl:for-each select="../subfield[@code='b']">
				<xsl:text> : </xsl:text>
				<xsl:value-of select="."/>
			</xsl:for-each>
			<xsl:for-each select="../subfield[@code='i']">
				<xsl:text>, </xsl:text>
				<xsl:value-of select="."/>
			</xsl:for-each>
			<xsl:for-each select="../subfield[@code='k']">
				<xsl:text>, </xsl:text>
				<xsl:value-of select="."/>
			</xsl:for-each>
			<xsl:for-each select="../subfield[@code='m']">
				<xsl:text>, </xsl:text>
				<xsl:value-of select="."/>
			</xsl:for-each>
			<xsl:for-each select="../subfield[@code='n']">
				<xsl:text>, </xsl:text>
				<xsl:value-of select="."/>
			</xsl:for-each>
			<xsl:for-each select="../subfield[@code='p']">
				<xsl:text>, </xsl:text>
				<xsl:value-of select="."/>
			</xsl:for-each>
			<xsl:for-each select="../subfield[@code='r']">
				<xsl:text>, </xsl:text>
				<xsl:value-of select="."/>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	
	

<!-- ======================================================================== -->
<!-- personalName: Locate and display the name: first occurence of X00 a      -->
<!-- ======================================================================== -->

	<xsl:template name="personalName">
		<xsl:for-each select="datafield[@tag='100' or @tag='600' or @tag='700' or @tag='800'][1]">
			<xsl:value-of select="subfield[@code='a']"/>
		</xsl:for-each>
	</xsl:template>

<!-- ======================================================================== -->
<!-- CorporateName: Locate and display the name: first occurence of X10     a -->
<!-- ======================================================================== -->

	<xsl:template name="corporateName">
		<xsl:for-each select="datafield[@tag='110' or @tag='610' or @tag='710' or @tag='111' or @tag='611' or @tag='711'][1]">
			<xsl:value-of select="subfield[@code='a']"/>
			<xsl:for-each select="subfield[@code='b']">
				<xsl:text>. </xsl:text>
				<xsl:value-of select="."/>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>

<!-- ======================================================================== -->
<!-- workDataFields: Display selected datafields/subfields for work           -->
<!-- ======================================================================== -->

	<xsl:template name="workDataFields">
		<xsl:if test="datafield[@tag='100' or @tag='600' or @tag='700']/subfield[@code='d']">
			Dato:<b>
			<xsl:value-of select="datafield[@tag='100' or @tag='600' or @tag='700']/subfield[@code='d'][1]"/>
			</b>
		</xsl:if>
		<br/>
		<xsl:if test="datafield[@tag='100' or @tag='600' or @tag='700']/subfield[@code='5']">
			AUTID:<b>
			<xsl:value-of select="datafield[@tag='100' or @tag='600' or @tag='700']/subfield[@code='5'][1]"/>
			</b>
		</xsl:if>
	</xsl:template>

<!-- ======================================================================== -->
<!-- expressionDataFields: Display selected datafields/subfields for expr.    -->
<!-- ======================================================================== -->

	<xsl:template name="expressionDataFields">
	</xsl:template>

<!-- ======================================================================== -->
<!-- manifestationDataFields: Display selected datafields/subfields for man.  -->
<!-- 020 022 1XX 245 250 260 300 4XX 500                                      -->
<!-- ======================================================================== -->

	<xsl:template name="manifestationDataFields">

		<xsl:if test="datafield[@tag='245']/subfield[@code='a']">
			<xsl:for-each select="datafield[@tag='245'][1]">
				<xsl:if test="subfield[@code='c']">
					<tr><td colspan="2">
					<b><i><xsl:value-of select="subfield[@code='c'][1]"/></i></b>
					</td></tr>
					<xsl:call-template name="blankRow"/>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>

		
		<xsl:if test="datafield[@tag='100']/subfield[@code='a']">
			<tr><td valign="top">Forfatter:</td><td><b>
			<xsl:value-of select="datafield[@tag='100']/subfield[@code='a']"/>
			</b></td></tr>
		</xsl:if>

		<xsl:if test="datafield[@tag='250']/subfield[@code='a']">
			<tr><td valign="top">Utgave:</td><td><b>
			<xsl:value-of select="datafield[@tag='250']/subfield[@code='a'][1]"/>
			</b></td></tr>
		</xsl:if>

		<xsl:if test="datafield[@tag='260']">
			<tr><td valign="top">Trykt:</td><td><b>
			<xsl:for-each select="datafield[@tag='260'][1]">
				<xsl:value-of select="subfield[@code='a'][1]"/>
				<xsl:if test="subfield[@code='b']">
					<xsl:text> : </xsl:text>
					<xsl:value-of select="subfield[@code='b'][1]"/>
				</xsl:if>
				<xsl:if test="subfield[@code='c']">
					<xsl:text>, </xsl:text>
					<xsl:value-of select="subfield[@code='c'][1]"/>
				</xsl:if>
			</xsl:for-each>
			</b></td></tr>
		</xsl:if>
		
		<xsl:for-each select="datafield[@tag='300']">
		   <tr><td valign="top">Omfang:</td><td><b>
			<xsl:value-of select="subfield[@code='a']"/>
				<xsl:if test="subfield[@code='b']">
					<xsl:text> </xsl:text>
					<xsl:value-of select="subfield[@code='b']"/>
				</xsl:if>
			</b></td></tr>
		</xsl:for-each>
		
		<xsl:if test="datafield[@tag='020']/subfield[@code='a']">
			<tr><td valign="top">ISBN:</td><td><b>
			<xsl:for-each select="datafield[@tag='020']">
				<xsl:for-each select="subfield[@code='a']">
					<xsl:text> </xsl:text>
					<xsl:value-of select="."/>
				</xsl:for-each>
			</xsl:for-each>
			</b></td></tr>
		</xsl:if>

		<xsl:if test="datafield[@tag='022']/subfield[@code='a']">
			<tr><td valign="top">ISBN:</td><td><b>
			<xsl:for-each select="datafield[@tag='022']">
				<xsl:for-each select="subfield[@code='a']">
					<xsl:text> </xsl:text>
					<xsl:value-of select="."/>
				</xsl:for-each>
			</xsl:for-each>
			</b></td></tr>
		</xsl:if>

		<xsl:for-each select="datafield[@tag='500']">
		   <tr><td valign="top">Note:</td><td><b>
			<xsl:value-of select="subfield[@code='a']"/>
			</b></td></tr>
		</xsl:for-each>
		
		<xsl:if test="/type[@template!='Manifestasjon440' and @template!='Manifestasjon490' and @template!='Manifestasjon491']">
		<xsl:for-each select="datafield[@tag='440']">
		   <tr><td valign="top">Serie:</td><td><b>
			<xsl:value-of select="subfield[@code='a']"/>
				<xsl:if test="subfield[@code='v']">
					<xsl:text>; </xsl:text>
					<xsl:value-of select="subfield[@code='v'][1]"/>
				</xsl:if>
			</b></td></tr>
		</xsl:for-each>
		
		<xsl:for-each select="datafield[@tag='490']">
		   <tr><td valign="top">Serie:</td><td><b>
			<xsl:value-of select="subfield[@code='a']"/>
			</b></td></tr>
		</xsl:for-each>
		
		<xsl:for-each select="datafield[@tag='491']">
			<xsl:if test="subfield[@code='v']">
		   	<tr><td valign="top">Serie:</td><td><b>
				<xsl:value-of select="subfield[@code='a']"/>
					<xsl:if test="subfield[@code='v']">
						<xsl:text>; </xsl:text>
						<xsl:value-of select="subfield[@code='v']"/>
					</xsl:if>
				</b></td></tr>
			</xsl:if>
		</xsl:for-each>
		</xsl:if>
		
	</xsl:template>

<!-- ======================================================================== -->
<!-- personDataFields: Display selected datafields/subfields for person       -->
<!-- ======================================================================== -->

	<xsl:template name="personDataFields">
		<xsl:if test="datafield[@tag='100' or @tag='600' or @tag='700']/subfield[@code='d']">
			<tr><td>Dato:</td>
			<td><b>
			<xsl:value-of select="datafield[@tag='100' or @tag='600' or @tag='700']/subfield[@code='d'][1]"/>
			</b></td></tr>
		</xsl:if>
		<br/>
		<xsl:if test="datafield[@tag='100' or @tag='600' or @tag='700']/subfield[@code='5']">
			<tr><td>AutID:</td>
			<td><b>
			<xsl:value-of select="datafield[@tag='100' or @tag='600' or @tag='700']/subfield[@code='5'][1]"/>
			</b></td></tr>
		</xsl:if>
	</xsl:template>


<!-- ======================================================================== -->
<!-- corporateDataFields: Display selected datafields/subfields for corp.     -->
<!-- ======================================================================== -->

	<xsl:template name="corporateDataFields">
		<xsl:if test="datafield[@tag='110' or @tag='610' or @tag='710']/subfield[@code='d']">
			<xsl:value-of select="datafield[@tag='110' or @tag='610' or @tag='710']/subfield[@code='d'][1]"/>
		</xsl:if>
	</xsl:template>

<!-- ======================================================================== -->
<!-- allDataFields: Display all datafields with all subfields                 -->
<!-- ======================================================================== -->

	<xsl:template name="allDataFields">
	   <table>
		<xsl:for-each select="datafield">
			<xsl:for-each select="subfield[1]">
				<tr><td><xsl:value-of select="../@tag"/></td><td><xsl:call-template name="subField"/></td></tr>
			</xsl:for-each>
			<xsl:for-each select="subfield[position()&gt;1]">
				<tr><td/><td><xsl:call-template name="subField"/></td></tr>
			</xsl:for-each>
		</xsl:for-each>
		</table>
	</xsl:template>

<!-- ======================================================================== -->
<!-- subField: Display a subfield, preceded by the @type attribute (or the    -->
<!-- @code attribute if @type is missing)                                     -->
<!-- ======================================================================== -->

	<xsl:template name="subField">
		$<xsl:value-of select="@code"/><xsl:text> </xsl:text><b><xsl:value-of select="."/></b>
		<br/>
	</xsl:template>



<!-- ======================================================================== -->
<!-- listRelated: Display a collapsible list of related entities              -->
<!-- ======================================================================== -->

		<xsl:template name="listRelated">
		<xsl:param name="rel"/>
		<xsl:param name="target"/>
		<xsl:param name="showAll"/>
		<xsl:param name="xXsl"/>
		<xsl:param name="text"/>
		
		<xsl:call-template name="blankRow"/>
				
		<xsl:for-each select="relationship[@rel=$rel][@target=$target][1]">
			<tr><td><xsl:value-of select="$text"/></td><td>
			<xsl:call-template name="getTitle"/>
			</td></tr>
		</xsl:for-each>

		<xsl:variable name="minusURI">
			<xsl:text>http://november.idi.ntnu.no/frbrized/getdoc?doc=</xsl:text><xsl:value-of select="/record/@id"/>
		</xsl:variable>
		<xsl:variable name="plussURI">
			<xsl:text>http://november.idi.ntnu.no/frbrized/getdoc?xsl=</xsl:text><xsl:value-of select="$xXsl"/><xsl:text>&amp;doc=</xsl:text><xsl:value-of select="/record/@id"/>
		</xsl:variable>
				
				<xsl:choose>
					<xsl:when test="$showAll='on'">
						<xsl:for-each select="relationship[@rel=$rel][@target=$target][2]">
							<tr><td> </td><td class="yellow">
							<table cellpadding="0" cellspacing="0" class="yellow" width="100%"><tr><td>
							<xsl:call-template name="getTitle"/>
							</td><td align="right">
							<a>
							<xsl:attribute name="href"><xsl:value-of select="$minusURI"/></xsl:attribute>		
							<xsl:attribute name="title">Lukk denne lista</xsl:attribute>		
							<img src="http://november.idi.ntnu.no/frbrized/gifs/minus.gif" alt="Lukk denne lista" border="0"/>
							</a>
							</td></tr></table>
							</td></tr>
						</xsl:for-each>
						<xsl:for-each select="relationship[@rel=$rel][@target=$target][position()&gt;2]">
							<tr><td> </td><td class="yellow">
							<xsl:call-template name="getTitle"/>
							</td></tr>
						</xsl:for-each>
					</xsl:when>	

					<xsl:otherwise>
						<xsl:for-each select="relationship[@rel=$rel][@target=$target][2]">
							<tr><td> </td><td>
							<a>
							<xsl:attribute name="href"><xsl:value-of select="$plussURI"/></xsl:attribute>		
							<xsl:attribute name="title">Vis hele lista</xsl:attribute>		
							<img src="http://november.idi.ntnu.no/frbrized/gifs/pluss.gif" alt="Vis hele lista" border="0"/>
							</a>
							Vis hele lista
							</td></tr>
						</xsl:for-each>
					</xsl:otherwise>
				</xsl:choose>			

	</xsl:template>

		
<!--  ========================================================================   -->
 <!--  Displaying Xlink      -->                             
<!--  ========================================================================   --> 
<xsl:template name="createXlink">
		<div id="tooltip" style="position:absolute;visibility:hidden"></div>
			<div id="vertnav1">
				<ul id="nav">
				<!--========Selects the arc elements named "go" from the Xlink, and setting the value of the arc elements "xlink:from" to "Parent"==========-->
					<xsl:for-each select="//go">                                
						<xsl:variable name="Parent" select="@xlink:from"/>     
						<xsl:variable name="Child" select="@xlink:to"/>
						<xsl:variable name="ArcTitle" select="@xlink:title"/>                                
							<xsl:for-each select="//entity">
							<!--==Selecting all the locator elements that's parent element in the traversal, and putting the value of the Parents xlink:role to the attribute "Role"==-->
								<xsl:if test="$Parent=@xlink:label">
									<!--===================================Setting tooltip to display the Xlink content-role attribute====================================-->	
									<xsl:variable name="Tooltip1"><xsl:value-of select="@xlink:role"/></xsl:variable>
										<!--===============Making an A element in the unordred list with the parent elements, and displaying the tooltip with onMouseover()=============-->
										<li>	
											<a href="{@xlink:href}" onMouseover="showtip(this,event,'{$Tooltip1}')" onMouseout="hidetip()">
												<xsl:value-of select="$ArcTitle"/>
											</a>
												<ul>
															<xsl:for-each select="//entity"> 
																<xsl:variable name="Tooltip2"><xsl:value-of select="@xlink:role"/></xsl:variable>
																	<!--===========================Selecting all child elements where xlink:role is equal to the parents xlink:role=========================-->
																	<xsl:if test="$Child=@xlink:label">
																		<li>
																			<a href="{@xlink:href}" onMouseover="showtip(this,event,'{$Tooltip2}')" onMouseout="hidetip()">
																				<xsl:value-of select="@xlink:title"/>
																			</a>
																		</li>
																	</xsl:if>
															</xsl:for-each>
												</ul>
										</li>				
								</xsl:if>											
							</xsl:for-each>
					</xsl:for-each>
				</ul>
			</div>

	</xsl:template>

<!-- ======================================================================== -->
<!-- linkXmlRec: Create a link to same entity record id (raw XML)             -->
<!-- ======================================================================== -->

	<xsl:template name="linkXmlRec">
		<xsl:variable name="MURI">
			<xsl:text>http://november.idi.ntnu.no/frbrized/getdoc?xsl=false&amp;doc=</xsl:text><xsl:value-of select="@id"/>
		</xsl:variable>
		<button>
		<xsl:attribute name="class">xml</xsl:attribute>		
		<xsl:attribute name="type">button</xsl:attribute>		
		<xsl:attribute name="title">Vis ren XML</xsl:attribute>
		<xsl:attribute name="onClick"><xsl:text>popup('</xsl:text><xsl:value-of select="$MURI"/><xsl:text>'); return true</xsl:text></xsl:attribute>
		XML
		</button>		
	</xsl:template>


<!-- ======================================================================== -->
<!-- linkData: Create a link to same entity record id (datafields only)       -->
<!-- ======================================================================== -->

	<xsl:template name="linkData">
		<xsl:variable name="MURI">
			<xsl:text>http://november.idi.ntnu.no/frbrized/getdoc?xsl=data&amp;doc=</xsl:text><xsl:value-of select="@id"/>
		</xsl:variable>
		<button>
		<xsl:attribute name="class">button</xsl:attribute>		
		<xsl:attribute name="type">button</xsl:attribute>		
		<xsl:attribute name="title">Vis alle datafelter</xsl:attribute>
		<xsl:attribute name="onClick"><xsl:text>popup('</xsl:text><xsl:value-of select="$MURI"/><xsl:text>'); return true</xsl:text></xsl:attribute>
		data
		</button>		
	</xsl:template>


<!-- ======================================================================== -->
<!-- linkMARC: Create a link to a BIBSYS MARC record (popup window)           -->
<!-- ======================================================================== -->

	<xsl:template name="linkMARC">
		<xsl:variable name="MURI">
			<xsl:text>http://wgate.bibsys.no/gate1/SHOW?fmat=MAR&amp;objd=</xsl:text><xsl:value-of select="objectid"/>
		</xsl:variable>
		<button>
		<xsl:attribute name="class">button</xsl:attribute>		
		<xsl:attribute name="type">button</xsl:attribute>		
		<xsl:attribute name="title">Vis ren BIBSYS-MARC post</xsl:attribute>
		<xsl:attribute name="onClick"><xsl:text>popup('</xsl:text><xsl:value-of select="$MURI"/><xsl:text>'); return true</xsl:text></xsl:attribute>
		MARC
		</button>		
	</xsl:template>

<!-- ======================================================================== -->
<!-- linkHelp: Create a link to a entity type specific help file              -->
<!-- ======================================================================== -->

	<xsl:template name="linkHelp">
		<a>
		<xsl:attribute name="href">
		<xsl:text>http://november.idi.ntnu.no/frbrized/help</xsl:text>
		<xsl:value-of select="@type"/>
		<xsl:text>.html</xsl:text>
		</xsl:attribute>
		<img src="http://november.idi.ntnu.no/frbrized/gifs/help.gif" alt="Help" title="Hjelp" border="0"/>
		</a>
	</xsl:template>
	
<!-- ======================================================================== -->
<!-- linkOpenURL: Create an OpenURL link (target window = "pop"               -->
<!-- 1. param: BaseURL                                                        -->
<!-- ======================================================================== -->

	<xsl:template name="linkOpenURL">
		<xsl:param name="BaseURL"/>
		<xsl:variable name="XURI">
			<xsl:value-of select="$BaseURL"/><xsl:text>?sid=BIBSYS:BS&amp;pid=BIBSYS:</xsl:text><xsl:value-of select="objectid"/>
		</xsl:variable>
		<tr><td>
		<a>
		<xsl:attribute name="onClick"><xsl:text>popup('</xsl:text><xsl:value-of select="$XURI"/><xsl:text>')</xsl:text></xsl:attribute>
		<img src="http://www.bibsys.no/gifs/bxicon_small.gif" alt="BIBSYS X : Lokalisering og bestilling" title="BIBSYS X : Lokalisering og bestilling" border="0"/></a></td>
		<td>
		(Lokaliser eller bestill dette dokumentet)
		</td></tr>
	</xsl:template>
	


<!-- ======================================================================== -->
<!-- getPerson: Retrieve the name and link to a Person entity record          -->
<!-- ======================================================================== -->

	<xsl:template name="getPerson">
		
		<xsl:variable name="URI">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
		<xsl:variable name="parent" select="document($URI)"/>
		<xsl:variable name="creatorName" select="document($URI)/record/datafield[@tag='100' or @tag='700'][1]/subfield[@code='a']"/>
		<xsl:variable name="searchField">Person</xsl:variable>
		)		<xsl:call-template name="creatorLink">
			<xsl:with-param name="linkURI"><xsl:value-of select="$URI"/></xsl:with-param>
			<xsl:with-param name="creatorName"><xsl:value-of select="$creatorName"/></xsl:with-param>
			<xsl:with-param name="searchField"><xsl:value-of select="$searchField"/></xsl:with-param>
			<xsl:with-param name="searchString"><xsl:value-of select="$creatorName"/></xsl:with-param>
		</xsl:call-template>

	</xsl:template>
	

<!-- ======================================================================== -->
<!-- getCorporation: Retrieve the name and link to a Corporate entity record  -->
<!-- ======================================================================== -->

	<xsl:template name="getCorporation">
		
		<xsl:variable name="URI">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
		<xsl:variable name="parent" select="document($URI)/record"/>
		<xsl:variable name="searchField">Korporasjon</xsl:variable>

		<xsl:variable name="mainName" select="$parent/datafield[@tag='110' or @tag='710' or @tag='111' or @tag='711'][1]/subfield[@code='a']"/>
		<xsl:variable name="subUnit" select="$parent/datafield[@tag='110' or @tag='710' or @tag='111' or @tag='711'][1]/subfield[@code='b']"/>

	   <xsl:variable name="creatorName">
   		<xsl:value-of select="$mainName"/>
   		<xsl:if test="$subUnit">
   			<xsl:text>. </xsl:text>
	   		<xsl:value-of select="$subUnit"/>
   		</xsl:if>
   	</xsl:variable>
		
		<xsl:call-template name="creatorLink">
			<xsl:with-param name="linkURI"><xsl:value-of select="$URI"/></xsl:with-param>
			<xsl:with-param name="creatorName"><xsl:value-of select="$creatorName"/></xsl:with-param>
			<xsl:with-param name="searchField"><xsl:value-of select="$searchField"/></xsl:with-param>
			<xsl:with-param name="searchString"><xsl:value-of select="$mainName"/></xsl:with-param>
		</xsl:call-template>

	</xsl:template>
	

<!-- ======================================================================== -->
<!-- XXXgetCorporation: Retrieve the name and link to a Corporate entity record  -->
<!-- ======================================================================== -->

	<xsl:template name="XXXgetCorporation">
		
		<xsl:variable name="URI">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
		<xsl:variable name="parent" select="document($URI)"/>
		<xsl:variable name="searchField">Korporasjon</xsl:variable>

		<xsl:variable name="mainName" select="$parent/record/datafield[@tag='110' or @tag='710' or @tag='111' or @tag='711'][1]/subfield[@code='a']"/>
		<xsl:variable name="subUnit" select="$parent/record/datafield[@tag='110' or @tag='710' or @tag='111' or @tag='711'][1]/subfield[@code='b']"/>

	   <xsl:variable name="creatorName">
   		<xsl:value-of select="$mainName"/>.
   		<xsl:value-of select="$subUnit"/>
   	</xsl:variable>
		
		<xsl:call-template name="creatorLink">
			<xsl:with-param name="linkURI"><xsl:value-of select="$URI"/></xsl:with-param>
			<xsl:with-param name="creatorName"><xsl:value-of select="$creatorName"/></xsl:with-param>
			<xsl:with-param name="searchField"><xsl:value-of select="$searchField"/></xsl:with-param>
			<xsl:with-param name="searchString"><xsl:value-of select="$mainName"/></xsl:with-param>
		</xsl:call-template>

	</xsl:template>
	

<!-- ======================================================================== -->
<!-- creatorLink: Link to a creator entity record + search button             -->
<!-- ======================================================================== -->

	<xsl:template name="creatorLink">
	
		<xsl:param name="linkURI"/>
		<xsl:param name="creatorName"/>
		<xsl:param name="searchField"/>
		<xsl:param name="searchString"/>
		
		<tr>
		<td>Forfatter:</td>
		<td>
		<xsl:text> </xsl:text>
		<form action="http://november.idi.ntnu.no/frbrized/search" method="GET" target="tree">
		<xsl:call-template name="doSearch">
			<xsl:with-param name="searchEntity"><xsl:value-of select="$searchField"/></xsl:with-param>
			<xsl:with-param name="searchValue"><xsl:value-of select="$searchString"/></xsl:with-param>
		</xsl:call-template>
		<xsl:text> </xsl:text>
		<a>
		<xsl:attribute name="href">
		<xsl:value-of select="$linkURI"/>
		</xsl:attribute>
		<xsl:attribute name="title">Vis informasjon om denne forfatteren</xsl:attribute>
		<b><xsl:value-of select="$creatorName"/></b>
		</a>
		</form>
		</td>
		</tr>
	</xsl:template>
	


<!-- ======================================================================== -->
<!-- getExprTitle: Retrieve the "title" from an expression record             -->
<!-- ======================================================================== -->

	<xsl:template name="getExprTitle">

		<xsl:variable name="URI">http://november.idi.ntnu.no/frbrized/getdoc?doc=<xsl:value-of select="@href"/></xsl:variable>
		<xsl:variable name="parent" select="document($URI)"/>
		<xsl:variable name="formString">
			<xsl:for-each select="$parent/record/datafield[@tag='008'][1]">
				<xsl:for-each select="subfield[@code='b'][1]">
					<xsl:call-template name="form"/>
				</xsl:for-each>
				<xsl:for-each select="subfield[@code='b'][position()&gt;1]">
					<xsl:text> ; </xsl:text><xsl:call-template name="form"/>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:variable>
		
		<xsl:variable name="languageString">
			<xsl:for-each select="$parent/record/datafield[@tag='008'][1]">
				<xsl:for-each select="subfield[@code='c'][1]">
					<xsl:text> / </xsl:text><xsl:call-template name="language"/>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:variable>
		
		<xsl:variable name="exprTitle">
			<xsl:value-of select="$formString"/>
			<xsl:value-of select="$languageString"/>
		</xsl:variable>
		
		<a>
		<xsl:attribute name="href">
		<xsl:value-of select="$URI"/>
		</xsl:attribute>
		<b>[ <xsl:value-of select="$exprTitle"/> ]</b>
		</a>

	</xsl:template>



<!-- ======================================================================== -->
<!-- doSearch: Create a link to a search (target window = "tree")             -->
<!-- ======================================================================== -->

	<xsl:template name="doSearch">
		<xsl:param name="searchEntity"/>
		<xsl:param name="searchValue"/>

		<xsl:if test="$searchValue!=''">
			<input>
			<xsl:attribute name="type">hidden</xsl:attribute>
			<xsl:attribute name="name">queryString</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$searchValue"/></xsl:attribute>
			</input>
			<input>
			<xsl:attribute name="type">hidden</xsl:attribute>
			<xsl:attribute name="name">entityType</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$searchEntity"/></xsl:attribute>
			</input>
			<input>
			<xsl:attribute name="type">hidden</xsl:attribute>
			<xsl:attribute name="name">sendbutton</xsl:attribute>
			<xsl:attribute name="value">send</xsl:attribute>
			</input>
			<xsl:text> </xsl:text>
			<input>
			<xsl:attribute name="type">image</xsl:attribute>
			<xsl:attribute name="src">http://november.idi.ntnu.no/frbrized/gifs/soke.gif</xsl:attribute>
			<xsl:attribute name="title">Utfør et søk på "<xsl:value-of select="$searchValue"/>"</xsl:attribute>
			</input>
		</xsl:if>

	</xsl:template>


<!-- ======================================================================== -->
<!-- sButton: Create a button with name = "doc" and value = entity id         -->
<!-- ======================================================================== -->

	<xsl:template name="sButton">
		<xsl:call-template name="button">
			<xsl:with-param name="buttonName">doc</xsl:with-param>
			<xsl:with-param name="buttonValue"><xsl:value-of select="@href"/></xsl:with-param>
			<xsl:with-param name="buttonText"><xsl:value-of select="@target"/></xsl:with-param>
		</xsl:call-template>
	</xsl:template>


<!-- ======================================================================== -->
<!-- button: Create a submitbutton                                            -->
<!-- ======================================================================== -->

	<xsl:template name="button">
		<xsl:param name="buttonName"/>
		<xsl:param name="buttonValue"/>
		<xsl:param name="buttonText"/>
		<input>
		<xsl:attribute name="type">hidden</xsl:attribute>		
		<xsl:attribute name="name">doc</xsl:attribute>		
		<xsl:attribute name="value"><xsl:value-of select="$buttonValue"/></xsl:attribute>		
		</input>
		<button>
		<xsl:attribute name="class">button</xsl:attribute>		
		<xsl:attribute name="type">submit</xsl:attribute>		
		<xsl:attribute name="title">Gå til tilhørende <xsl:value-of select="$buttonText"/></xsl:attribute>		
		<xsl:value-of select="$buttonText"/>
		</button>		
	</xsl:template>

<!-- ======================================================================== -->
<!-- blankRow: Create a blank table row                                       -->
<!-- ======================================================================== -->

	<xsl:template name="blankRow">
		<tr><td colspan="2" class="invisible">-</td></tr>
	</xsl:template>

</xsl:stylesheet>