<?xml version="1.0" encoding="UTF-8"?>
 <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" /> 
  
<!--  Simple presentation of FRBR entity record 
  --> 
   <!--  Updated 2005-10-18 by Ole Husby, BIBSYS 
  --> 
 <xsl:template match="/record" name="main">
  <xsl:param name="showSubjectOf" /> 
  <xsl:param name="showParts" /> 
  <xsl:variable name="BIBSYS-X">http://openurl.bibsys.no/openurl</xsl:variable> 
<!--  HTML intro 
  --> 
<html>
  <xsl:call-template name="htmlHeader" /> 
<body>
 <!--  Entity type & buttons for alternate displays 
  --> 
<form>
<table border="0" cellpadding="0" width="100%">
<tr>
<td align="right" class="small">
 <!-- 	[ <xsl:value-of select="@type"/> ]	
  --> 
  <xsl:call-template name="linkXmlRec" /> 
  <xsl:text /> 
  <xsl:call-template name="linkData" /> 
<xsl:if test="@type='Manifestasjon'">
  <xsl:text /> 
  <xsl:call-template name="linkMARC" /> 
  </xsl:if>
  </td>
  </tr>
  </table>
  </form>
  <p /> 
<!--  ======================================================================== 
  --> 
 <!--  Entity name in a beige box                                               
  --> 
 <!--  ======================================================================== 
  --> 
 <table border="1" cellpadding="5" style="border-collapse: collapse" width="100%" frame="border" rules="none">
 <tr>
 <!--  Entity name 
  --> 
 <td class="beige">
 <xsl:choose>
 <xsl:when test="@type='Manifestasjon'">
 <xsl:call-template name="title">
  <xsl:with-param name="subTitle">yes</xsl:with-param> 
  </xsl:call-template>
 <xsl:for-each select="datafield[@tag='008'][1]">
<xsl:for-each select="subfield[@code='a']">
<xsl:if test=".!='p'">
  [ 
  <xsl:call-template name="medium" /> 
  ] 
  </xsl:if>
  </xsl:for-each>
  </xsl:for-each>
  </xsl:when>
<xsl:when test="@type='Uttrykk'">
  <xsl:text>[</xsl:text> 
   <xsl:for-each select="datafield[@tag='008'][1]">
 <xsl:for-each select="subfield[@code='b'][1]">
  <xsl:call-template name="form" /> 
  </xsl:for-each>
<xsl:for-each select="subfield[@code='b'][position()>1]">
  <xsl:text>;</xsl:text> 
  <xsl:call-template name="form" /> 
  </xsl:for-each>
  <xsl:text>/</xsl:text> 
 <xsl:for-each select="subfield[@code='c'][1]">
  <xsl:call-template name="language" /> 
  </xsl:for-each>
  </xsl:for-each>
  <xsl:text>]</xsl:text> 
  </xsl:when>
 <xsl:when test="@type='Verk'">
 <xsl:call-template name="title">
  <xsl:with-param name="subTitle">yes</xsl:with-param> 
  </xsl:call-template>
  </xsl:when>
 <xsl:when test="@type='Person'">
  <xsl:call-template name="personalName" /> 
  </xsl:when>
 <xsl:when test="@type='Korporasjon'">
  <xsl:call-template name="corporateName" /> 
  </xsl:when>
  </xsl:choose>
  </td>
 <!--  Tree link & Entity icon 
  --> 
<td class="beige" align="right">
<xsl:choose>
 <xsl:when test="@type='Manifestasjon'">
  <xsl:variable name="searchEntity">Manifestasjon</xsl:variable> 
<xsl:variable name="searchValue">
 <xsl:call-template name="title">
  <xsl:with-param name="subTitle">no</xsl:with-param> 
  </xsl:call-template>
  </xsl:variable>
<img src="gifs/soke.gif" alt="Person" border="0">
<xsl:attribute name="title">
  Utfør et søk på " 
  <xsl:value-of select="$searchEntity" /> 
  = 
  <xsl:value-of select="$searchValue" /> 
  " 
  </xsl:attribute>
 <xsl:attribute name="onClick">
  top.upper.queryApplet(' 
  <xsl:value-of select="$searchValue" /> 
  ', ' 
  <xsl:value-of select="$searchEntity" /> 
  '); 
  </xsl:attribute>
  </img>
  <xsl:text /> 
  <img src="gifs/manifestation.gif" alt="manifestasjon" title="Dette er en manifestasjon" border="0" /> 
  </xsl:when>
 <xsl:when test="@type='Uttrykk'">
  <img src="gifs/expression.gif" alt="Uttrykk" title="Dette er et uttrykk" border="0" /> 
  </xsl:when>
<xsl:when test="@type='Verk'">
  <xsl:variable name="searchEntity">Verk</xsl:variable> 
 <xsl:variable name="searchValue">
<xsl:call-template name="title">
  <xsl:with-param name="subTitle">no</xsl:with-param> 
  </xsl:call-template>
  </xsl:variable>
 <img src="gifs/soke.gif" alt="Person" border="0">
<xsl:attribute name="title">
  Utfør et søk på " 
  <xsl:value-of select="$searchEntity" /> 
  = 
  <xsl:value-of select="$searchValue" /> 
  " 
  </xsl:attribute>
<xsl:attribute name="onClick">
  top.upper.queryApplet(' 
  <xsl:value-of select="$searchValue" /> 
  ', ' 
  <xsl:value-of select="$searchEntity" /> 
  '); 
  </xsl:attribute>
  </img>
  <xsl:text /> 
  <img src="gifs/work.gif" alt="Verk" title="Dette er et verk" border="0" /> 
  </xsl:when>
 <xsl:when test="@type='Person'">
  <xsl:variable name="searchEntity">Person</xsl:variable> 
 <xsl:variable name="searchValue">
  <xsl:call-template name="personalName" /> 
  </xsl:variable>
  <xsl:text /> 
<img src="gifs/soke.gif" alt="Person" border="0">
<xsl:attribute name="title">
  Utfør et søk på " 
  <xsl:value-of select="$searchEntity" /> 
  = 
  <xsl:value-of select="$searchValue" /> 
  " 
  </xsl:attribute>
 <xsl:attribute name="onClick">
  top.upper.queryApplet(' 
  <xsl:value-of select="$searchValue" /> 
  ', ' 
  <xsl:value-of select="$searchEntity" /> 
  '); 
  </xsl:attribute>
  </img>
  <img src="gifs/person.gif" alt="Person" title="Dette er en person" border="0" /> 
  </xsl:when>
   <xsl:when test="@type='Korporasjon'">
<xsl:variable name="searchEntity">Korporasjon</xsl:variable> 
 <xsl:variable name="searchValue">
  <xsl:call-template name="corporateName" /> 
  </xsl:variable>
  <xsl:text /> 
 <img src="gifs/soke.gif" alt="Person" border="0">
 <xsl:attribute name="title">
  Utfør et søk på " 
  <xsl:value-of select="$searchEntity" /> 
  = 
  <xsl:value-of select="$searchValue" /> 
  " 
  </xsl:attribute>
 <xsl:attribute name="onClick">
  top.upper.queryApplet(' 
  <xsl:value-of select="$searchValue" /> 
  ', ' 
  <xsl:value-of select="$searchEntity" /> 
  '); 
  </xsl:attribute>
  </img>
  <img src="gifs/person.gif" alt="Korporasjon" title="Dette er en korporasjon" border="0" /> 
  </xsl:when>
  </xsl:choose>
  </td>
  </tr>
  </table>
  <p /> 
 <!--  ======================================================================== 
  --> 
 <!--  Selected datafields & other information                                  
  --> 
<!--  ======================================================================== 
  --> 
<table border="0" cellpadding="0" cellspacing="0">
 <colgroup>
  <col width="100" /> 
  <col width="600" /> 
  </colgroup>
<xsl:choose>
<xsl:when test="@type='Manifestasjon'">
  <xsl:call-template name="manifestationDataFields" /> 
  </xsl:when>
<xsl:when test="@type='Uttrykk'">
  <xsl:call-template name="expressionDataFields" /> 
  </xsl:when>
 <xsl:when test="@type='Verk'">
<xsl:if test="relationship[@rel='er skapt av']">
<xsl:for-each select="relationship[@rel='er skapt av']">
<xsl:choose>
<xsl:when test="@target='Person'">
  <xsl:call-template name="getPerson" /> 
 </xsl:when>
<xsl:when test="@target='Korporasjon'">
  <xsl:call-template name="getCorporation" /> 
  </xsl:when>
  </xsl:choose>
  </xsl:for-each>
  </xsl:if>
  </xsl:when>
<xsl:when test="@type='Person'">
  <xsl:call-template name="personDataFields" /> 
  </xsl:when>
  <xsl:when test="@type='Korporasjon'" /> 
  </xsl:choose>
  <p /> 
 <!--  ======================================================================== 
  --> 
 <!--  Link to                                                                  
  --> 
<!--  Parent entities (for works and manifestations)                           
  --> 
 <!--  Child entities (for works)                                               
  --> 
 <!--  List of expressions (for works) DISABLED!                                
  --> 
 <!--  List of manifestations (for expressions) DISABLED!                       
  --> 
 <!--  Link to OpenURL resolver (BIBSYS X) (for manifestations)                 
  --> 
 <!--  List of created works (for persons and corporations) DISABLED!           
  --> 
 <!--  ======================================================================== 
  --> 

  </table>
 <!--  Buttons to entities at the level above 
  --> 
   <form>
  <xsl:attribute name="method">GET</xsl:attribute> 
  <xsl:attribute name="action">http://ans1145.idi.ntnu.no/frbrized/getdoc</xsl:attribute> 

 <!--  ========================================================================   -->
 <!--  Displaying Xlink      -->                             
<!--  ========================================================================   --> 

<xsl:call-template name="createXlink"/>
<xsl:choose>
 <xsl:when test="@type='Manifestasjon'">
<xsl:if test="relationship[@rel='inneholder']">
  <p /> 
  <hr /> 
  <p /> 
   <div align="right">
 <xsl:for-each select="relationship[@rel='inneholder']">
  <xsl:call-template name="sButton" /> 
  </xsl:for-each>
  </div>
  </xsl:if>
  </xsl:when>
 <xsl:when test="@type='Uttrykk'">
<xsl:if test="relationship[@rel='er realisering av']">
  <p /> 
  <hr /> 
  <p /> 
<div align="right">
 <xsl:for-each select="relationship[@rel='er realisering av']">
  <xsl:call-template name="sButton" /> 
  </xsl:for-each>
  </div>
  </xsl:if>
  </xsl:when>
  </xsl:choose>
  		

			
  </form>
  <p /> 
  </body>
  </html>
  </xsl:template>
  </xsl:stylesheet>